<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddPlayerRatingsSubstituteIdToPlayerRatingsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('player_ratings', function (Blueprint $table) {
            $table->uuid('player_ratings_substitute_id');
            $table->foreign('player_ratings_substitute_id')->references('UUID')->on('player_ratings_substitute');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('player_ratings', function (Blueprint $table) {
            //
        });
    }
}
