@include('includes.admin.header')
@include('includes.admin.sidebar')  
<style>
    iframe
    {
        height : auto;
        max-width : 200px;
    }
</style>
<!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
         Live Proposal List
            <small>From Live Proposal</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#">Live Proposal</a></li>
            
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-md-12">
              <div class="box">
                <div class="box-header with-border">
                  <h3 class="box-title">Live Proposal</h3>
                </div><!-- /.box-header -->
                <div class="box-body table-responsive">
                    <table class="table table-bordered table-striped table-datatable">
                        <thead>
                            <tr>
                              <th>#</th>
                              <th>Live Proposal</th>
                              <th>Admin Response</th>
                              <th>User Name</th>
                              <th>
                                  Created On
                              </th>
                              <th>
                                  No. of Likes
                              </th>
                              <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $count = 1;
                            ?>
                            @if($decisions->count() > 0)
                            @foreach($decisions AS $decision)
                            <tr>
                                <td>{{$count++}}</td>
                                <td><?php echo nl2br($decision['suggestions']) ?></td>
                                <td><?php echo nl2br(($decision['admin_response'])) ?></td>
                                <td>{{$decision['user']['name']}}</td>
                                <td>{{date("d M Y H:i:s", strtotime($decision['created_at']))}}</td>
                                <td>
                                    {{$decision['no_of_likes']}}
                                </td>
                               <td>
                                   
                                   @if ($decision['confirm'] == 1)
                                        Confirmed
                                    @elseif($decision['reject'] == 1)
                                        Denied
                                    @else
                                    <button type="button" class="btn btn-primary btn-confirm btn-xs" data-id="{{$decision['UUID']}}">Approve</button>
                                    <button type="button" class="btn btn-danger btn-xs btn-deny" data-id="{{$decision['UUID']}}">Deny</button>
                                    @endif    
                                 <a class=" btn btn-xs btn-success" href="/admin/live/proposal/edit/{{$decision['UUID']}}"><i class="glyphicon glyphicon-edit"></i></a>&nbsp;&nbsp;
                                   <a class=" btn btn-xs btn-danger btn-remove" href="#" data-id="{{$decision['UUID']}}"><i class="glyphicon glyphicon-remove"></i></a>
<!--                                   <a href="#" class="btn btn-sm bg-olive">Approve</a>-->
                               </td>
                            </tr>
                            @endforeach
                            @endif
                        </tbody>
                    
				<tfoot>
                          <tr>
                              <td colspan="7">
                                  {{ $decisions->links() }}
                                   <div class="pull-right" id="page_no">
                                         Page : 
                                                <?php if(isset($_GET['page']))
                                                {
                                                  echo   $_GET['page'];
                                                }
                                                else
                                                {
                                                    echo 1;
                                                }
                                                ?>
                                            </div>
                              </td>
                          </tr>
                      </tfoot>
                  </table>
                </div><!-- /.box-body -->
<!--                <div class="box-footer clearfix">
                  <ul class="pagination pagination-sm no-margin pull-right">
                    <li><a href="#">&laquo;</a></li>
                    <li><a href="#">1</a></li>
                    <li><a href="#">2</a></li>
                    <li><a href="#">3</a></li>
                    <li><a href="#">&raquo;</a></li>
                  </ul>
                </div>-->
              </div><!-- /.box -->

             
            </div><!-- /.col -->
            
          </div><!-- /.row -->
          
        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
      
    <script>
         $(".table-datatable").DataTable(
                    {
                        dom: 'Bfrtip',
                        buttons: [

                            'excelHtml5',
                            'csvHtml5',
                            'pdfHtml5',
                           'print'
                        ],
                        "bPaginate": false,
                        paging: false,
                        searching: false,
                       
                    });
        $(document).ready(function(){
            $('.btn-confirm').click(function(){
                var parent = $(this).parents('td').first();
                $(parent).find('.btn-confirm').hide();
                $(parent).find('.btn-deny').hide();
                var id = $(this).attr('data-id');
                $.post('/admin/live/proposal/confirm',{id:id,_token:'{{ csrf_token() }}'}, function(res){
                    alert('Proposal Confirmed');
                    parent.html('Confirmed');
                },'json')
                .fail(function(xhr) {
                    var html = '';
                    var res = xhr.responseJSON;
                    $(res).each(function(i, value){
                            html+= value;
                    });
                    alert(html);
                    $(parent).find('.btn-confirm').show();
                    $(parent).find('.btn-deny').show();
                },'json');;
            });
            
            $('.btn-deny').click(function(){
                var parent = $(this).parents('td').first();
                $(parent).find('.btn-confirm').hide();
                $(parent).find('.btn-deny').hide();
                var id = $(this).attr('data-id');
                $.post('/admin/live/proposal/deny',{id:id,_token:'{{ csrf_token() }}'}, function(res){
                    alert('Proposal Denied');
                    parent.html('Denied');
                },'json')
                .fail(function(xhr) {
                    var html = '';
                    var res = xhr.responseJSON;
                    $(res).each(function(i, value){
                            html+= value;
                    });
                    alert(html);
                    $(parent).find('.btn-confirm').show();
                    $(parent).find('.btn-deny').show();
                },'json');;
            });
        });
        
        $(document).on('click', '.btn-remove', function(){
                var id = $(this).attr('data-id');
                var name = $(this).attr('data-name');
                var conf = confirm("Are you sure you want to delete Tactic Suggestion");
                var parent = $(this).parents('tr').first();
                var current = $(this);
                if(conf)
                {
                    $.ajax({
                        url: '/admin/live/proposal/delete/' + id,
                        type: 'DELETE',
                        dataType: 'json',
                        data:{"_token": "{{ csrf_token() }}"}
                    }).done(function(result) {
                        alert('Live Proposal Deleted Successfully');
                        $(parent).remove();
                    }).fail(function(xhr, textStatus, errorThrown){
                        var res = xhr.responseJSON;
                        var html = '';
                        console.log(res);
                        $(res).each(function(i, value){
                            console.log(value);
                            html+= value;
                        });
                        alert(html);
                        $(current).removeAttr('disabled');
                        $('#position-message').find('.modal-body p').html(html);
                        $('#position-message').modal('show');
                    });
                    
                }
              
            });
    </script>
@include('includes.admin.footer')