@include('includes.admin.header')
@include('includes.admin.sidebar')
<script>
    $(document).ready(function(){
        $('#player-menu').addClass('active');
    });
</script>
<link rel="stylesheet" href="/datepicker/dist/css/default/zebra_datepicker.min.css">
<script src="/datepicker/dist/zebra_datepicker.min.js"></script>
<script src='/ckeditor/ckeditor.js' ></script>

      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
           Edit Player
            <small>From Players</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#">Players</a></li>
            <li class="active">Edit Player</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-md-12">
                    <div class="box">
                        <div class="box-header with-border">
                            <h3 class="box-title">Edit Player</h3>
                        </div><!-- /.box-header -->
                        <div class="col-xs-12 hcenter" id="loading">
                        <img src="/images/loading.gif" />
                    </div>
                        {!! Form::open(['class' => 'form-horizontal', 'method' => 'post', 'files' => true, 'style' => 'display:none', 'id' => 'register-form']) !!}
                      
                        
                        @if ($errors->any())
                       <div class='error'>
                          
                                {{ implode('', $errors->all('<div>:message</div>')) }}
                       </div>
                        @endif
                        <div class="box-body">
                                <div class="form-group">
                                    <label for="inputname3" class="col-sm-2 control-label">Name</label>
                                    <div class="col-sm-9">
                                        {!! Form::text('data[name]', '', ['class' => 'form-control', 'placeholder' => 'Name', 'id' => 'name']); !!}
                                    </div>
                                </div>
                                
                                <div class="form-group">
                                    <label for="dob" class="col-sm-2 control-label">Date of Birth</label>
                                    <div class="col-sm-9">
                                        {!! Form::date('data[dob]', '', ['class' => 'form-control', 'placeholder' => 'DOB', 'id' => 'dob']); !!}
                                        
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label for="Position" class="col-sm-2 control-label">Position</label>
                                    <div class="col-sm-9">
                                       
                                        {!! Form::select('data[position][]',$positions,'',['class' => 'form-control', 'id' => 'position', 'multiple' => 'multiple'])!!}
                                    </div>
                                </div>
                            
                            <div class="form-group">
                                    <label for="Position" class="col-sm-2 control-label">Player Value</label>
                                    <div class="col-sm-9">
                                       
                                        {!! Form::text('data[value]','',['class' => 'form-control', 'id' => 'value'])!!}
                                    </div>
                                </div>
                            
                            <div class="form-group">
                                <label for="Position" class="col-sm-2 control-label">T-shirt Number</label>
                                <div class="col-sm-9">

                                    {!! Form::text('data[tshirt_number]','',['class' => 'form-control', 'id' => 'tshirt_number'])!!}
                                </div>
                            </div>
                            
                            <div class="form-group">
                                <label for="Position" class="col-sm-2 control-label">Contact Player Information</label>
                                <div class="col-sm-9">

                                    {!! Form::textarea('data[contact_player_information]','',['class' => 'form-control', 'id' => 'contact_player_information'])!!}
                                </div>
                            </div>
                            
                           <div class="form-group">
                                    <label for="Position" class="col-sm-2 control-label">Description</label>
                                    <div class="col-sm-9">
                                       
                                        {!! Form::textarea('data[description]','',['class' => 'form-control', 'id' => 'description'])!!}
                                    </div>
                                </div>
                            
                            
                            
                            <div class="form-group">
                                    <label for="Position" class="col-sm-2 control-label">Status</label>
                                    <div class="col-sm-9">
                                       
                                        {!! Form::select('data[status]',['Available' => 'Available', 'Recovering' => 'Recovering', 'Suspended' => 'Suspended', 'Injured' => 'Injured', 'Unavailable' => 'Unavailable'],'',['class' => 'form-control', 'id' => 'status'])!!}
                                    </div>
                                </div>
                            <div class="form-group">
                                <div class='col-sm-2'>
                                    
                                </div>
                                <div class='col-sm-9'>
                                    <img src='' style="width:200px" id='photo_old'/>
                                </div>
                            </div>
                                <div class="form-group">
                                    <label for="photo" class="col-sm-2 control-label">Upload Photo</label>
                                    <div class="col-sm-9">
                                        <input type="file" id="photo" name="photo">
                                        <p class="help-block">Upload maximum size of 2MB.</p>
                                    </div>
                                </div>
                            </div><!-- /.box-body -->
                            <div class="box-footer">
                                <button type="submit" class="btn btn-default">Cancel</button>
                                <button type="submit" class="btn btn-info pull-right">Submit</button>
                            </div><!-- /.box-footer -->
                        {!! Form::close() !!}
              </div><!-- /.box -->

             
            </div><!-- /.col -->
            
          </div><!-- /.row -->
          
        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
      
      
      <script>
        CKEDITOR.replace( 'description' );
          $('.datepicker').Zebra_DatePicker({
                    format : 'd-m-Y'
                });
            $(document).ready(function(){
                $.get('/admin/player/{{$UUID}}',{"_token": "{{ csrf_token() }}"}, function(res){
                    
                        $('#name').val(res.name);
                       // $('#position').val(res.position);
                        $('#dob').val(res.dob);
                        $('#value').val(res.value);
                        $('#tshirt_number').val(res.tshirt_number);
                        $('#status').val(res.status);
                        $('#description').val(res.description);
                        
                        $('#contact_player_information').val(res.contact_player_information);
                        $('#photo_old').attr('src', '/uploads/player/' + res.photo);
                        $(res.multiple_positions).each(function(i, value){
                            console.log(value);
                           $('#position option[value="' + value.position_id + '"]').prop('selected', true); 
                        });
                        $('#loading').hide();
                        $('#register-form').show();
                    },'json');
//                $('#btn-submit').click(function(){
//                    var current  = $(this);
//                   // current.attr('disabled', 'disabled').text('Please Wait. Saving.....');
//                    var data = $("#register-form").serializeArray();
//                    var description = CKEDITOR.instances['description'].getData();
//                    
//                    $.post('/admin/position/update/{{$UUID}}',{data:data, description:description, "_token": "{{ csrf_token() }}"}, function(res, status){
//                        
//                        alert('Player Updated Successfully');
//                        window.location.href = '#body';
//                        window.location.href = '/admin/position';
//                    },'json')
//                    .fail(function(xhr) {
//                        var html = '';
//                        var res = xhr.responseJSON;
//                        $(res).each(function(i, value){
//                            html+= '<p>' + value + '</p>';
//                        });
//                        $('.error').html(html).show();
//                        $('#btn-submit').html('Submit').removeAttr('disabled');
//                        window.location.href = '#body';
//                    },'json');;
//                });
            });
        </script>
@include('includes.admin.footer')