@include('includes.admin.header')
@include('includes.admin.sidebar')  

<script src='/ckeditor/ckeditor.js' ></script>
<!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
           Update Contact
            <small>From Contact</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#">Contact</a></li>
            <li class="active">Update Contact</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-md-12">
              <div class="box">
                <div class="box-header with-border">
                  <h3 class="box-title">Update Contact</h3>
                </div><!-- /.box-header -->
                 <div class="col-xs-12 hcenter" id="loading" style='display: none'>
                        <img src="/images/loading.gif" />
                    </div>
               <form class="form-horizontal" method="post" id="contact_form">
                    <div class='error-box' style="display:none">
                          
                       </div>
                  <div class="box-body">
                   <div class="form-group">
                        <label for="main" class="col-sm-2 control-label">Email</label>
                        <div class="col-sm-9">
                            {{Form::text('data[email]',$contact->email,['class' => 'form-control', 'id' => 'email'])}}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="main" class="col-sm-2 control-label">Phone</label>
                        <div class="col-sm-9">
                            {{Form::text('data[phone]',$contact->phone,['class' => 'form-control', 'id' => 'phone'])}}
                        </div>
                    </div>
                      
                    <div class="form-group">
                        <label for="main" class="col-sm-2 control-label">Address</label>
                        <div class="col-sm-9">
                           {{Form::textarea('data[address]',$contact->address,['class' => 'form-control', 'id' => 'address'])}}

                        </div>
                    </div>
                      
                      <div class="form-group">
                        <label for="main" class="col-sm-2 control-label">Additional Info</label>
                        <div class="col-sm-9">
                            {{Form::textarea('data[additional_info]',$contact->additional_info,['class' => 'form-control', 'id' => 'additional_info'])}}


                        </div>
                    </div>
                  
		
                  </div><!-- /.box-body -->
                  <div class="box-footer">
                    <button type="reset" class="btn btn-default">Cancel</button>
                    <button type="button" class="btn btn-info pull-right" id="btn-submit">Update</button>
                  </div><!-- /.box-footer -->
                </form>
              </div><!-- /.box -->

             
            </div><!-- /.col -->
            
          </div><!-- /.row -->
          
        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
      
    <script>
        CKEDITOR.replace( 'additional_info' );
        $(document).ready(function(){
            $('#btn-submit').click(function(){
                $('#btn-submit').html('Updating Contact Info....').attr('disabled', 'disabled');
                $('#contact_form').hide();
                $('#loading').show();
                $('.error-box').hide().html('');
                
                var data = new Object();
                    data['email'] = $('#email').val();
                    data['phone'] = $('#phone').val();
                    data['address'] = $('#address').val();
                    data['additional_info'] = CKEDITOR.instances['additional_info'].getData();
                    
                $.post('/admin/contact/update', {data:data, "_token": "{{ csrf_token() }}"}, function(res){
                    $('#contact_form').show();
                    $('#loading').hide();
                    $('.error-box').html('<div class="alert alert-success">Contact Updated Successfully</div>').show();
                    $('#btn-submit').html('Update').removeAttr('disabled');
                    window.location.href = '#body';
                },'json')
                .fail(function(xhr) {
                    var html = '';
                    var res = xhr.responseJSON;
                    
                    $('#contact_form').show();
                    $('#loading').hide();
                    $('.error-box').html('<div class="alert alert-danger">' + res + '</div>').show();
                    $('#btn-submit').html('Update').removeAttr('disabled');
                    window.location.href = '#body';
                },'json');
                
                

            });
        });
    </script>
    @include('includes.admin.footer')